<!-- candidato.component.html -->
<div>


  <h2>Adicionar candidato</h2>
  <input type="hidden" id="id" [(ngModel)]="novoCandidato.id" />
  <label for="nome">Nome:</label>
  <input type="text" id="nome" [(ngModel)]="novoCandidato.nome" />
  <label for="cpf">CPF:</label>
  <input type="text" id="cpf" [(ngModel)]="novoCandidato.cpf" />
  <input #myInput class="form-control" type="file" id="formFile" (change)="this.onFilechange($event)">
  <div>
    <po-button p-label="Cadastrar" (p-click)="addCandidato()"> </po-button>
    <po-button p-label="Limpar" (p-click)="clearCandidato()"> </po-button>

  </div>
  <po-table [p-items]="candidatos" [p-columns]="columns"   [p-actions]="actions"  > </po-table>

</div>
